#include "K36DnDManagerComponent.h"
#include "Net/UnrealNetwork.h"

void UK36DnDManagerComponent::OnRep_AssociatedKiller()
{

}

void UK36DnDManagerComponent::Authority_OnLevelReadyToPlay()
{

}

void UK36DnDManagerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK36DnDManagerComponent, _survivorsMimicEscapesData);
	DOREPLIFETIME(UK36DnDManagerComponent, _associatedKiller);
}

UK36DnDManagerComponent::UK36DnDManagerComponent()
{
	this->_numberOfAdditionalChances = 2;
}
